#ifndef TEXTWIN_H
#define TEXTWIN_H
/*===========================================================================
FILE:      TextWin.h                
 
SERVICES:  Provides functions for displaying text on device screen.
 
DESCRIPTION: 
    TextWin.c implements helper functions on the top of IDISPLAY interface
    which can be used for displaying text on device screen.

PUBLIC CLASSES:  Not Applicable

INITIALIZATION AND SEQUENCING REQUIREMENTS:  Not Applicable

   	   Copyright © 2000-2002 QUALCOMM Incorporated.
	                  All Rights Reserved.
                   QUALCOMM Proprietary/GTDR
===========================================================================*/
#include "AEE.h"

#ifdef __cplusplus
extern "C" {
#endif

//typedef struct _AEEApplet AEEApplet;
typedef struct _TextWin TextWin;

/*-------------------------------------------------------------------
            Function Declarations
-------------------------------------------------------------------*/
extern TextWin* TextWin_Create(AEEApplet *pMe, AEERect rect, AEEFont font);

extern void TextWin_Release(TextWin* me);

extern void TextWin_Clear(TextWin* me);

extern void TextWin_Append(TextWin *me, AECHAR *pszASCII);

extern void TextWin_Scroll(TextWin *me, int nDown);

extern void TextWin_Draw(TextWin *me, int nLine);

#ifdef __cplusplus
}
#endif

#endif  //TEXTWIN_H


